<?php

function wikiplugin_calendar_help() {
        $help = tra("Includes a calendar");
        $help .="<br />";
        $help .= tra("~np~{CALENDAR(calIds=>1)}{CALENDAR}");
        $help .= "<br />";
        $help .= tra("Id is optional. If not given, all calendars viewable by default are used.");

        return $help;
}

function wikiplugin_calendar_info() {
	return array(
		'name' => tra('Calendar'),
		'documentation' => 'PluginCalendar',
		'description' => tra('Includes a calendar within the page.'),
		'prefs' => array( 'feature_calendar', 'wikiplugin_calendar' ),
		'params' => array(
			'calIds' => array(
				'required' => false,
				'name' => tra('Calendar ID'),
				'description' => tra('The calendar number (Id) to display. Default value refers to all visible calendars.'),
				'filter' => 'digits',
			),
		),
	);
}

function wikiplugin_calendar($data, $params) {
    global $smarty, $tikilib, $prefs, $tiki_p_admin, $tiki_p_view_calendar;
    global $dbTiki, $dc, $user, $calendarlib;

    require_once("lib/calendar/calendarlib.php");

    extract ($params,EXTR_SKIP);

    if(!isset($calIds))
		$calIds = 1;
    $_SESSION['CalendarViewGroups'] = array($calIds);

    include("tiki-calendar_setup.php");
    include("tiki-show_calendar.php");
    
    


    return $smarty->fetch('tiki-show_calendar.tpl');

}

?>
